cluster {secr} | R Documentation

## Detector Clustering

### Description

Clusters are uniform groups of detectors. Use these functions to extract or replace cluster information of a `traps` object, or extract cluster information for each detection in a `capthist` object.

### Usage

    clusterID(object)
    clusterID(object) <- value
    clustertrap(object)
    clustertrap(object) <- value

### Arguments

`object` | `traps` or `capthist` object
`value` | factor (`clusterID`) or integer-valued vector (`clustertrap`)

### Details

Easy access to attributes used to define compound designs, those in which a detector array comprises several similar subunits (‘clusters’). ‘clusterID’ identifies the detectors belonging to each cluster, and ‘clustertrap’ is a numeric index used to relate matching detectors in different clusters.

For replacement (‘traps’ only), the number of rows of `value` must match exactly the number of detectors in `object`.

‘clusterID’ and ‘clustertrap’ are assigned automatically by `trap.builder`.

### Value

Factor (`clusterID`) or integer-valued vector (`clustertrap`).

`clusterID(object)` may be NULL.

### See Also

`traps`, `trap.builder`, `mash`, `derivedCluster`, `cluster.counts`, `cluster.centres`

### Examples

    ## 81 4-detector clusters
    mini <- make.grid(nx = 2, ny = 2)
    tempgrid <- trap.builder (cluster = mini , method = "all",
        frame = expand.grid(x = seq(100, 900, 100), y = seq(100,
        900, 100)))
    clusterID(tempgrid)
    clustertrap(tempgrid)

    tempCH <- sim.capthist(tempgrid)
    table(clusterID(tempCH)) ## detections per cluster
    cluster.counts(tempCH)   ## distinct individuals

[Package secr version 3.2.1 Index]